Subject: Re: linux-next: build failure after merge of the vfs tree

From: Ian Kent <[email-masked]>
Date: Mon, 09 Sep 2013 16:54:20 +0800

On Mon, 2013-09-09 at 12:33 +1000, Stephen Rothwell wrote:
> Hi Al,
> 
> After merging the vfs tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> fs/autofs4/dev-ioctl.c: In function 'find_autofs_mount':
> fs/autofs4/dev-ioctl.c:193:2: error: implicit declaration of function 'user_path_mntpointat' [-Werror=implicit-function-declaration]
>   int err = user_path_mntpointat(AT_FDCWD, pathname, 0, &path);
>   ^
> 
> Caused by commit b3a19b078049 ("autofs4 - fix device ioctl mount lookup").
> 
> I have used the vfs tree form next-20130906 for today.

As far as I can see that is already fixed in viro/vfs.git for-next.

AFAICT the problem arose because there was a difference (missed) between
what I posted and how Al wanted to do it.

Ian